#include <bits/stdc++.h>
using namespace std;
typedef unsigned long long ull;


int main()
{
    cin.tie(0);
    ios_base::sync_with_stdio(false);
    bool poz=true;
    int n,k,x; cin >> n >> k >> x;
    vector<int> a(n); for(int i=0; i<n; i++){cin >> a[i]; if(a[i]<0)poz=false;}
    vector<int> sufix(n+1,0);
    for(int i=n-1; i>=0; i--){
        sufix[i]=a[i]+sufix[i+1];
    }
    if(poz){

        for(int i=0; i+k-1<n; i++){
            int sol=0;
            for(int j=1; j<=x; j++){
               sol+=sufix[i+j-1]-sufix[i+k];
            }
            cout << sol << '\n';
        }
    }
    return 0;
}